package com.jpattern.orm.annotation.table;

import com.jpattern.orm.annotation.Table;
import com.jpattern.orm.util.FieldDefaultNaming;

/**
 * 
 * @author cinafr
 *
 */
public class TableInfoFactory {

	private TableInfoFactory() {}

	public static TableInfo getTableInfo(final Class<?> clazz) {
		String tableName =  FieldDefaultNaming.getJavanameToDBnameDefaultMapping(clazz.getSimpleName());
		String schemaName = "";
		final Table annotation = clazz.getAnnotation(Table.class);
		if ( annotation != null) {
			tableName = ((annotation.tableName()==null) || annotation.tableName().isEmpty()) ? tableName : annotation.tableName();
			schemaName = annotation.schemaName();
		}
		return new TableInfo(tableName, schemaName);
	}

}
