package com.jpattern.orm.mapper.clazz;

import com.jpattern.orm.annotation.column.ColumnInfo;
import com.jpattern.orm.annotation.generator.GeneratorInfo;
import com.jpattern.orm.annotation.version.VersionInfo;
import com.jpattern.orm.persistor.reflection.GetManipulator;
import com.jpattern.orm.persistor.reflection.SetManipulator;

/**
 * 
 * @author Francesco Cina
 *
 * 04/giu/2011
 */
public interface IClassField<BEAN, P> {

	ColumnInfo getColumnInfo();

	VersionInfo getVersionInfo();

	GeneratorInfo getGeneratorInfo();

	Class<P> getType();

	String getFieldName();

	boolean isIdentifier();

	GetManipulator<BEAN, P> getGetManipulator();

	SetManipulator<BEAN, P> getSetManipulator();

}