package com.jpattern.orm.query.find;

import com.jpattern.orm.exception.OrmException;
import com.jpattern.orm.mapper.IOrmClassToolMap;
import com.jpattern.orm.query.clause.OrmFrom;

/**
 * 
 * @author ufo
 *
 * @param <BEAN>
 */
public class FindFromImpl<BEAN> extends OrmFrom<FindQuery<BEAN>> implements FindFrom<BEAN> {

	private final FindQuery<BEAN> findQuery;

	public FindFromImpl(final FindQuery<BEAN> findQuery, final IOrmClassToolMap ormClassToolMap, final Class<?> clazz, final Integer nameSolverClassId)  {
		super(ormClassToolMap, clazz, nameSolverClassId);
		this.findQuery = findQuery;
	}

	@Override
	protected FindQuery<BEAN> from() throws OrmException {
		return this.findQuery;
	}

}
